zenilib: codebook Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
codebook Struct Reference

`#include <codebook.h>`

## Public Attributes

const static_codebook * | c
static_codebook * | c
ogg_uint32_t * | codelist
char * | dec_codelengths
ogg_uint32_t * | dec_firsttable
int | dec_firsttablen
int * | dec_index
int | dec_maxlength
int | delta
long | dim
long | entries
int | minval
int | quantvals
long | used_entries
float * | valuelist

## Detailed Description

Definition at line 58 of file codebook.h.

## Member Data Documentation

const static_codebook* codebook::c

Definition at line 62 of file codebook.h.

Referenced by _best(), _now(), cell_spacing(), codebook_load(), get_vector(), local_book_besterror(), main(), process_one(), process_postprocess(), vorbis_book_codelen(), vorbis_book_codeword(), vorbis_book_encode(), and vorbis_book_init_encode().

static_codebook* codebook::c

Definition at line 62 of file localcodebook.h.

ogg_uint32_t * codebook::codelist

Definition at line 68 of file codebook.h.

Referenced by decode_packed_entry_number(), vorbis_book_clear(), vorbis_book_codeword(), vorbis_book_encode(), vorbis_book_init_decode(), and vorbis_book_init_encode().

char * codebook::dec_codelengths

Definition at line 71 of file codebook.h.

Referenced by decode_packed_entry_number(), vorbis_book_clear(), and vorbis_book_init_decode().

ogg_uint32_t * codebook::dec_firsttable

Definition at line 72 of file codebook.h.

Referenced by decode_packed_entry_number(), vorbis_book_clear(), and vorbis_book_init_decode().

int codebook::dec_firsttablen

Definition at line 73 of file codebook.h.

Referenced by decode_packed_entry_number(), and vorbis_book_init_decode().

int * codebook::dec_index

Definition at line 70 of file codebook.h.

Referenced by vorbis_book_clear(), vorbis_book_decode(), and vorbis_book_init_decode().

int codebook::dec_maxlength

Definition at line 74 of file codebook.h.

Referenced by decode_packed_entry_number(), and vorbis_book_init_decode().

int codebook::delta

Definition at line 79 of file codebook.h.

Referenced by _best(), local_book_besterror(), and vorbis_book_init_encode().

long codebook::dim

Definition at line 59 of file codebook.h.

Referenced by _best(), _encodepart(), floor0_inverse1(), local_book_besterror(), main(), process_preprocess(), process_vector(), vorbis_book_decodev_add(), vorbis_book_decodev_set(), vorbis_book_decodevs_add(), vorbis_book_decodevv_add(), vorbis_book_init_decode(), and vorbis_book_init_encode().

long codebook::entries

Definition at line 60 of file codebook.h.

Referenced by _best(), local_book_besterror(), main(), process_preprocess(), res0_free_look(), vorbis_book_init_decode(), and vorbis_book_init_encode().

int codebook::minval

Definition at line 78 of file codebook.h.

Referenced by _best(), local_book_besterror(), and vorbis_book_init_encode().

int codebook::quantvals

Definition at line 77 of file codebook.h.

Referenced by _best(), local_book_besterror(), and vorbis_book_init_encode().

long codebook::used_entries

Definition at line 61 of file codebook.h.

Referenced by decode_packed_entry_number(), vorbis_book_decode(), vorbis_book_decodev_add(), vorbis_book_decodev_set(), vorbis_book_decodevs_add(), vorbis_book_decodevv_add(), vorbis_book_init_decode(), and vorbis_book_init_encode().

float * codebook::valuelist

Definition at line 67 of file codebook.h.

Referenced by _now(), codebook_load(), process_postprocess(), vorbis_book_clear(), vorbis_book_decodev_add(), vorbis_book_decodev_set(), vorbis_book_decodevs_add(), vorbis_book_decodevv_add(), and vorbis_book_init_decode().

The documentation for this struct was generated from the following files:

- zenilib/jni/external/libvorbis/lib/codebook.h
- zenilib/jni/external/libvorbis/vq/localcodebook.h